Page MenuHomePhabricator

Remove mobile.special.mobilediff.scripts
Closed, ResolvedPublic

Description

Some logging schemas are being removed in https://gerrit.wikimedia.org/r/#/c/273456 and the mobile.special.mobilediff.scripts module is being kept in order not to break anything in production if we wish to revert some changes. Let's remove mobile.special.mobilediff.scripts 2 weeks after we push the above patch to production.

Acceptance criteria:

  • Remove mobile.special.mobilediff.scripts module from extension.json
  • Remove mobile.special.mobilediff.scripts module folder and files

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2016, 12:24 PM
bmansurov updated the task description. (Show Details)Apr 4 2016, 12:47 PM
phuedx triaged this task as Normal priority.Apr 7 2016, 5:08 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 9:55 PM

Special pages are not subject to cache so I'm not sure I understand the 2 week delay...

I think the reasoning was that in case we wanted to revert, it would be easier.

Change 295043 had a related patch set uploaded (by Mholloway):
Remove mobile.special.mobilediff.scripts from extensions.json

https://gerrit.wikimedia.org/r/295043

Change 295098 had a related patch set uploaded (by Mholloway):
Remove mobile.special.mobilediff.scripts dependency

https://gerrit.wikimedia.org/r/295098

bmansurov closed this task as Resolved.Jun 19 2016, 8:44 PM
bmansurov claimed this task.
bmansurov added a subscriber: Mholloway.

Thanks, @Mholloway!

bmansurov removed bmansurov as the assignee of this task.Jun 19 2016, 8:45 PM

Change 295098 merged by jenkins-bot:
Remove mobile.special.mobilediff.scripts dependency

https://gerrit.wikimedia.org/r/295098

Change 295043 merged by jenkins-bot:
Remove mobile.special.mobilediff.scripts from extension.json

https://gerrit.wikimedia.org/r/295043